petsc-3.4.2 2013-07-02

# DMMeshDistribute

Distributes the mesh and any associated sections.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshDistributeByFace(DM serialMesh, const char partitioner[], DM *parallelMesh)

Not Collective

### Input Parameter

| serialMesh | - The original DMMesh object
| partitioner | - The partitioning package, or NULL for the default

### Output Parameter

parallelMesh -The distributed DMMesh object

### Keywords

mesh, elements

### See Also

DMMeshCreate(), DMMeshDistribute()

Level:intermediate
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages